%global impl   src/main/java/com/thoughtworks/qdox/parser/impl
%global grammar src/grammar

Name:           qdox
Version:        2.0
Release:        5.M9
Summary:        High speed and small footprint parser
Epoch:          0
License:        ASL 2.0
URL:            https://github.com/paul-hammant/qdox
BuildArch:      noarch
Source0:        qdox-%{version}-M9.tar.gz
Source1:        qdox-MANIFEST.MF
BuildRequires:  maven-local byaccj jflex
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.codehaus.mojo:exec-maven-plugin) mvn(org.sonatype.oss:oss-parent:pom:)

%description
QDox is used by documentation tools and active code generators.It provides parser for
fully extracting class/interface/method definitions.It is a high speed, small footprint parser.

%package        help
Summary:        API docs for qdox
Provides:       qdox-javadoc = %{version}-%{release}
Obsoletes:      qdox-javadoc < %{version}-%{release}

%description    help
Javadocs for qdox.


%prep
%autosetup -n qdox-%{version}-M9
find -name *.jar -delete
rm -rf bootstrap

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-failsafe-plugin
%pom_remove_plugin :maven-jflex-plugin
%pom_remove_plugin :maven-enforcer-plugin
%mvn_file : qdox
%mvn_alias : qdox:qdox
%pom_xpath_set pom:workingDirectory '${basedir}/%{impl}'

%build
for i in lexer commentlexer; do
 jflex --inputstreamctor -d %{impl} %{grammar}/$i.flex
done

%mvn_build -f -- -Dqdox.byaccj.executable=byaccj

jar ufm target/qdox-%{version}*.jar %{SOURCE1}

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files help -f .mfiles-javadoc
%doc README.md

%changelog
* Mon Dec 9 2019 zhujunhao <zhujunhao5@huawei.com> 2.0-5.M9
- Package init
